/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<private/qquicklayeritem_p.h>)
#  include <private/qquicklayeritem_p.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_Qt_labs_lottieqt_VectorImageHelpers()
{
    qmlRegisterModule("Qt.labs.lottieqt.VectorImageHelpers", 6, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<QQuickLayerItem>("Qt.labs.lottieqt.VectorImageHelpers", 6);
    qmlRegisterAnonymousTypesAndRevisions<QQuickItem>("Qt.labs.lottieqt.VectorImageHelpers", 6);
    QT_WARNING_POP
    qmlRegisterModule("Qt.labs.lottieqt.VectorImageHelpers", 6, 12);
}

static const QQmlModuleRegistration qtlabslottieqtVectorImageHelpersRegistration("Qt.labs.lottieqt.VectorImageHelpers", qml_register_types_Qt_labs_lottieqt_VectorImageHelpers);
